<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class VisitTemplateSegmentTemplate extends Model
{
    protected $table = 'visit_template_segment_template';

    public function segmentTemplate(){
        return $this->hasOne(SegmentTemplate::class, 'id', 'segment_template_id');
    }

    public function visitTemplate(){
        return $this->hasOne(VisitTemplate::class, 'id', 'visit_template_id');
    }
}
